#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(staging, "Y");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x4f0ef6c9, "module_layout" },
	{ 0x469c1a4a, "videobuf_mmap_free" },
	{ 0x12da5bb2, "__kmalloc" },
	{ 0xcb7b7a2e, "rc_unregister_device" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9393f470, "_raw_spin_unlock" },
	{ 0x3ec8886f, "param_ops_int" },
	{ 0x36534f74, "videobuf_mmap_mapper" },
	{ 0xf159393c, "dev_set_drvdata" },
	{ 0x9754372b, "v4l2_i2c_new_subdev" },
	{ 0x2a458a07, "video_device_release" },
	{ 0x53ff1d2d, "malloc_sizes" },
	{ 0x79b43f60, "v4l2_device_unregister" },
	{ 0x88b1a08f, "videobuf_queue_vmalloc_init" },
	{ 0x211308c7, "usb_kill_urb" },
	{ 0x1c1bd57, "videobuf_streamon" },
	{ 0xadf026e4, "__video_register_device" },
	{ 0xfb0e29f, "init_timer_key" },
	{ 0x856d4401, "videobuf_iolock" },
	{ 0x6baae653, "cancel_delayed_work_sync" },
	{ 0x1fdfd6dc, "mutex_unlock" },
	{ 0x3c2c5af5, "sprintf" },
	{ 0x35e85703, "usb_unlink_urb" },
	{ 0xba062c8a, "rc_allocate_device" },
	{ 0x7d11c268, "jiffies" },
	{ 0xe46202db, "i2c_add_adapter" },
	{ 0x306fa871, "v4l2_device_register" },
	{ 0x66d92ae2, "__init_waitqueue_head" },
	{ 0xdd0a2ba2, "strlcat" },
	{ 0x2bc95bd4, "memset" },
	{ 0x1d86009b, "rc_free_device" },
	{ 0x34c370a5, "video_device_alloc" },
	{ 0xb6ead488, "_raw_spin_unlock_irqrestore" },
	{ 0x6924bcc3, "usb_deregister" },
	{ 0x407d5eef, "__mutex_init" },
	{ 0x8026fa61, "__x86_indirect_thunk_esi" },
	{ 0x50eedeb8, "printk" },
	{ 0xf2271ed1, "videobuf_qbuf" },
	{ 0x9522c5cc, "video_unregister_device" },
	{ 0x61c2dcc1, "usb_set_interface" },
	{ 0xb4390f9a, "mcount" },
	{ 0x54371406, "rc_keydown" },
	{ 0x4e0d59ee, "videobuf_querybuf" },
	{ 0xad1d88e5, "usb_control_msg" },
	{ 0x73e20c1c, "strlcpy" },
	{ 0x6a63a7df, "rc_register_device" },
	{ 0x39adde85, "mutex_lock" },
	{ 0x2c4d6603, "videobuf_read_stream" },
	{ 0x64d13a22, "usb_free_coherent" },
	{ 0xf8a6fe12, "__x86_indirect_thunk_edi" },
	{ 0xf11543ff, "find_first_zero_bit" },
	{ 0x123959a1, "v4l2_type_names" },
	{ 0x3aa2e8ae, "i2c_del_adapter" },
	{ 0x2b83866b, "usb_submit_urb" },
	{ 0xd9257ad3, "usb_get_dev" },
	{ 0xc7f310b9, "video_devdata" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x77edf722, "schedule_delayed_work" },
	{ 0x3bd1b1f6, "msecs_to_jiffies" },
	{ 0x7e8fb994, "usb_put_dev" },
	{ 0xe3460c96, "__x86_indirect_thunk_ecx" },
	{ 0xd6b86ddf, "__raw_spin_lock_init" },
	{ 0x49ad8d84, "videobuf_vmalloc_free" },
	{ 0x97dee519, "__x86_indirect_thunk_edx" },
	{ 0x35088555, "videobuf_to_vmalloc" },
	{ 0xdf677bb5, "kmem_cache_alloc_trace" },
	{ 0x7a5fb187, "_raw_spin_lock" },
	{ 0x6194ee7b, "_raw_spin_lock_irqsave" },
	{ 0xb19a5f0f, "videobuf_dqbuf" },
	{ 0xf8174d4b, "__wake_up" },
	{ 0x1d2e87c6, "do_gettimeofday" },
	{ 0x37a0cba, "kfree" },
	{ 0x2e60bace, "memcpy" },
	{ 0xf59f197, "param_array_ops" },
	{ 0xc693ea2a, "videobuf_reqbufs" },
	{ 0x3b6c0a97, "usb_register_driver" },
	{ 0x701d0ebd, "snprintf" },
	{ 0x6083316, "usb_alloc_coherent" },
	{ 0x3dd0ded, "dev_get_drvdata" },
	{ 0x8b8b4afa, "usb_free_urb" },
	{ 0xbb96d407, "video_ioctl2" },
	{ 0x89223a76, "usb_alloc_urb" },
	{ 0xe914e41e, "strcpy" },
	{ 0x2fcc12d4, "videobuf_streamoff" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=videobuf-core,rc-core,v4l2-common,videodev,videobuf-vmalloc,usbcore,i2c-core";


MODULE_INFO(srcversion, "696597826C377014CA5970D");
